Subject: [bug#59253] [PATCH] gnu: emacs-magit: Substitute git executable path.

From: Thiago Jung Bauermann <[email-masked]>
Date: Mon, 14 Nov 2022 00:09:21 -0300

Hello Maxim,

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Thiago Jung Bauermann via Guix-patches via <[email-masked]>
> writes:
>
>> Hello Liliana,
>>
>> Liliana Marie Prikler <[email-masked]> writes:
>>
>>> Am Sonntag, dem 13.11.2022 um 22:24 +0100 schrieb Liliana Marie
>>> Prikler:
>>>> Am Sonntag, dem 13.11.2022 um 18:11 -0300 schrieb Thiago Jung
>>>> Bauermann:
>>>> > Magit has a strong dependency on Git so it should directly
>>>> > reference
>>>> > the
>>>> > git executable rather than expect it to be available in the profile
>>>> > or
>>>> > environment.
>>>> > 
>>>> > This also fixes a build failure in emacs-forge.
>>>> > 
>>>> > * gnu/packages/emacs-xyz.scm (emacs-magit)[arguments]<#:phases>:
>>>> > Substitute
>>>> > git path in the ‘magit-git-executable’ variable.
>>>> LGTM, will push once I'm done with some other stuff.
>>> Aaaand it's done.
>>
>> Wow, that was quick. Thank you!
>
> Won't this make magit unusable from TRAMP (which already seems broken
> for me since the time we enabled native comp -- anyone else?).

Hm, interesting point. I don't know. I don't use TRAMP because it was
too slow for me in the couple of times I've tried.

magit/lisp/magit-git.el does have this custom variable though, which
this patch didn't change:

#+BEGIN_SRC elisp
(defcustom magit-remote-git-executable "git"
  "The Git executable used by Magit on remote machines.
On the local host `magit-git-executable' is used instead.
Consider customizing `tramp-remote-path' instead of this
option."
  :package-version '(magit . "3.2.0")
  :group 'magit-process
  :type 'string)
#+END_SRC elisp

So I'd say it's possible that my patch doesn't affect whether Magit
works from TRAMP…

-- 
Thanks
Thiago